commit b7b7a2c08168489316ae9cd9fe47a5290a239cea
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Aug 11 02:23:01 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index a508ab1acb7..dab7de36f77 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2025-08-10  Xi Ruoyao  <xry111@xry111.site>
+
+	Backported from master:
+	2025-07-12  Xi Ruoyao  <xry111@xry111.site>
+
+	PR rtl-optimization/120983
+	* lra-constraints.cc (process_alt_operands): Allow reloading
+	user hard registers unless the insn is an asm.
+
 2025-08-08  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index c740198fdd2..9aa9a6d48c3 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250810
+20250811
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 9d65eabeea9..c890ea963cd 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,30 @@
+2025-08-10  Harish Sadineni  <Harish.Sadineni@windriver.com>
+
+	Backported from master:
+	2025-08-10  Harish Sadineni  <Harish.Sadineni@windriver.com>
+
+	PR target/118885
+	* gcc.target/i386/pr90579.c: add -fno-pie to dg-options
+	to fix tests when PIE is enabled.
+
+2025-08-10  Torbjörn SVENSSON  <torbjorn.svensson@foss.st.com>
+
+	Backported from master:
+	2025-08-10  Torbjörn SVENSSON  <torbjorn.svensson@foss.st.com>
+
+	* lib/multiline.exp: Added pruning of .exe.
+
+2025-08-10  Xi Ruoyao  <xry111@xry111.site>
+
+	Backported from master:
+	2025-07-12  Xi Ruoyao  <xry111@xry111.site>
+
+	PR rtl-optimization/87600
+	PR rtl-optimization/120983
+	* gcc.dg/pr87600.h [__loongarch__]: Define REG0 and REG1.
+	* gcc.dg/pr87600-1.c (dg-do): Add loongarch.
+	* gcc.dg/pr87600-2.c (dg-do): Likewise.
+
 2025-08-08  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:

